Skip to main content
GET
/
v1
/
aggregators
List aggregators
curl --request GET \
  --url https://api.hyperline.co/v1/aggregators \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total": 1,
    "taken": 1,
    "skipped": 0
  },
  "data": [
    {
      "id": "<string>",
      "entity": "<string>",
      "operation": "count",
      "property": "<string>",
      "where": {
        "conditional": "and",
        "fields": [
          {
            "property": "<string>",
            "operator": "isNull"
          }
        ]
      },
      "type": "metered",
      "name": "<string>",
      "description": "<string>",
      "allow_negative_values": true,
      "custom_event_name": "<string>",
      "exposed_event_keys": [
        "<string>"
      ],
      "created_at": "2023-12-25",
      "updated_at": "2023-12-25"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

take
number | null
default:50
Required range: 0 <= x <= 100
skip
number | null
default:0
Required range: x >= 0

Response

200 - application/json
meta
object
required
data
object[]
required

List of Aggregator.